SystemOrganization addCategory: #'Prototype-Tests-Core'!

JSObjectTest subclass: #PTAjaxTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Prototype-Tests-Core'!

!PTAjaxTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:56'!
request
	^ PTRequest context: self renderContext! !

!PTAjaxTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:56'!
responders
	^ PTResponders context: self renderContext! !

!PTAjaxTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:27'!
testEvents
	self
		assert: (self request onCreate: 1)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onCreate":function(){1}})'.
	self
		assert: (self request onComplete: 2)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onComplete":function(){2}})'.
	self
		assert: (self request onException: 3)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onException":function(){3}})'.
	self
		assert: (self request onFailure: 4)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onFailure":function(){4}})'.
	self
		assert: (self request onInteractive: 5)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onInteractive":function(){5}})'.
	self
		assert: (self request onLoaded: 6)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onLoaded":function(){6}})'.
	self
		assert: (self request onLoading: 7)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onLoading":function(){7}})'.
	self
		assert: (self request onSuccess: 8)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onSuccess":function(){8}})'.
	self
		assert: (self request onUninitialized: 9)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"onUninitialized":function(){9}})'.
	self
		assert: (self request onStatus: 202 do: 10)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"on202":function(){10}})'! !

!PTAjaxTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:25'!
testOptions
	self
		assert: (self request asynchronous: false)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"asynchronous":false})'.
	self
		assert: (self request contentType: 'text/xml')
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"contentType":"text/xml"})'.
	self
		assert: (self request encoding: 'iso-8660')
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"encoding":"iso-8660"})'.
	self
		assert: (self request method: 'get')
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"method":"get"})'.
	self
		assert: (self request evalJs: false)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"evalJS":false})'.
	self
		assert: (self request evalJson: false)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"evalJSON":false})'.
	self
		assert: (self request sanitizeJson: true)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"sanitizeJSON":true})'.
	self
		assert: (self request requestHeaders: Dictionary new)
		equals: 'new Ajax.Request("http://www.seaside.st/",{"parameters":["_s=1","_k=a","1"].join("&"),"requestHeaders":{}})'! !

!PTAjaxTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:24'!
testResponders
	self
		assert: (self responders)
		equals: 'Ajax.Responders.register({})'.
	self
		assert: (self responders register)
		equals: 'Ajax.Responders.register({})'.
	self
		assert: (self responders unregister)
		equals: 'Ajax.Responders.unregister({})'.
	self
		assert: (self responders onCreate: 1)
		equals: 'Ajax.Responders.register({"onCreate":function(){1}})'.
	self
		assert: (self responders onComplete: 2)
		equals: 'Ajax.Responders.register({"onComplete":function(){2}})'! !

JSObjectTest subclass: #PTElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Prototype-Tests-Core'!

!PTElementTest class methodsFor: 'accessing' stamp: 'lr 9/9/2010 12:23'!
packageNamesUnderTest
	^ #('Prototype-Core')! !

!PTElementTest methodsFor: 'utilities' stamp: 'obi 6/29/2009 21:50'!
assertEnumerable: aBlock prefix: aString
	self assert: (aBlock value isKindOf: PTEnumerable).
	self
		assert: (aBlock value allSatisfy: [ :each | each element visible ])
		equals: aString , '.all(function(){return $(arguments[0]).visible()})'.
	self
		assert: (aBlock value anySatisfy: [ :each | each element visible not ])
		equals: aString , '.any(function(){return !!$(arguments[0]).visible()})'.
	self
		assert: (aBlock value collect: [ :each | each element up ])
		equals: aString , '.map(function(){return $(arguments[0]).up()})'.
	self
		assert: (aBlock value detect: [ :each | each element empty ])
		equals: aString , '.find(function(){return $(arguments[0]).empty()})'.
	self
		assert: (aBlock value detectMax: [ :each | each element width ])
		equals: aString , '.max(function(){return $(arguments[0]).getWidth()})'.
	self
		assert: (aBlock value detectMin: [ :each | each element height ])
		equals: aString , '.min(function(){return $(arguments[0]).getHeight()})'.
	self
		assert: (aBlock value select: [ :each | each element empty ])
		equals: aString , '.findAll(function(){return $(arguments[0]).empty()})'.
	self
		assert: (aBlock value reject: [ :each | each element empty not ])
		equals: aString , '.reject(function(){return !!$(arguments[0]).empty()})'.
	self
		assert: (aBlock value sortBy: [ :each | each element height ])
		equals: aString , '.sortBy(function(){return $(arguments[0]).getHeight()})'.

	self
		assert: (aBlock value grep: '[a-z]+')
		equals: aString , '.grep("[a-z]+")'.
	self
		assert: (aBlock value include: nil)
		equals: aString , '.include(null)'.
	self
		assert: (aBlock value invoke: 'zork')
		equals: aString , '.invoke("zork")'.
	self
		assert: (aBlock value invoke: 'zork' with: 1)
		equals: aString , '.invoke("zork",1)'.
	self
		assert: (aBlock value invoke: 'zork' withAll: #(1 2))
		equals: aString , '.invoke("zork",1,2)'.
	self
		assert: (aBlock value pluck: 'id')
		equals: aString , '.pluck("id")'.
	self
		assert: (aBlock value size)
		equals: aString , '.size()'! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
element
	^ PTElement context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
event
	^ PTEvent context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
form
	^ PTForm context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
formElement
	^ PTFormElement context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
formElementObserver
	^ PTFormElementObserver context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
formObserver
	^ PTFormObserver context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:57'!
insertion
	^ PTInsertion context: self renderContext! !

!PTElementTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 17:31'!
ptSelector
	^ PTSelector context: self renderContext! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testDisplaying
	self
		assert: (self element hide)
		equals: '$(this).hide()'.
	self
		assert: (self element id: 'foo'; show)
		equals: '$("foo").show()'.
	self
		assert: (self element toggle)
		equals: '$(this).toggle()'.
	self
		assert: (self element id: 'bar'; scroll)
		equals: '$("bar").scrollTo()'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testEnumerating
	self
		assertEnumerable: [ self element ancestors ]
		prefix: '$(this).ancestors()'.
	self
		assertEnumerable: [ self element childElements ]
		prefix: '$(this).childElements()'.
	self
		assertEnumerable: [ self element descendants ]
		prefix: '$(this).descendants()'.
	self
		assertEnumerable: [ self element nextSiblings ]
		prefix: '$(this).nextSiblings()'.
	self
		assertEnumerable: [ self element previousSiblings ]
		prefix: '$(this).previousSiblings()'.
	self
		assertEnumerable: [ self element select: 'div.foo' ]
		prefix: '$(this).select("div.foo")'.
	self
		assertEnumerable: [ self element siblings ]
		prefix: '$(this).siblings()'! !

!PTElementTest methodsFor: 'tests-events' stamp: 'lr 10/13/2008 22:26'!
testEventActions
	self
		assert: (self event stop)
		equals: 'Event.stop(event)'.
	self
		assert: (self event observe: 'foo' on: 'click' do: self element toggle)
		equals: 'Event.observe("foo","click",function(event){$(this).toggle()})'! !

!PTElementTest methodsFor: 'tests-events' stamp: 'lr 10/13/2008 22:26'!
testEventFire
	self
		assert: (self element fire: 'foo')
		equals: '$(this).fire("foo")'.
	self
		assert: (self element fire: 'foo' with: 123)
		equals: '$(this).fire("foo",123)'! !

!PTElementTest methodsFor: 'tests-events' stamp: 'lr 10/13/2008 22:27'!
testEventOnDo
	self
		assert: (self element on: 'click' do: self event stop)
		equals: '$(this).observe("click",function(event){Event.stop(event)})'.
	self
		assert: (self element id: 'foo'; on: 'mouseout' do: self element hide)
		equals: '$("foo").observe("mouseout",function(event){$(this).hide()})'! !

!PTElementTest methodsFor: 'tests-events' stamp: 'lr 10/13/2008 22:26'!
testEventQuerying
	self
		assert: (self event element)
		equals: 'Event.element(event)'.
	self
		assert: (self event event: 'bar'; x)
		equals: 'Event.pointerX("bar")'.
	self
		assert: self event y
		equals: 'Event.pointerY(event)'! !

!PTElementTest methodsFor: 'tests-form' stamp: 'lr 10/13/2008 22:02'!
testForm
	self
		assert: self form disable
		equals: '$(this).disable()'.
	self
		assert: self form enable
		equals: '$(this).enable()'.
	self
		assert: self form findFirstElement
		equals: '$(this).findFirstElement()'.
	self
		assert: self form focusFirstElement
		equals: '$(this).focusFirstElement()'.
	self
		assert: self form request
		equals: '$(this).request()'.
	self
		assert: self form reset
		equals: '$(this).reset()'.
	self
		assert: (self form id: 'foo'; serialize)
		equals: '$("foo").serialize()'! !

!PTElementTest methodsFor: 'tests-form' stamp: 'lr 10/13/2008 22:02'!
testFormElement
	self
		assert: self formElement activate
		equals: '$(this).activate()'.
	self
		assert: self formElement clear
		equals: '$(this).clear()'.
	self
		assert: self formElement disable
		equals: '$(this).disable()'.
	self
		assert: self formElement enable
		equals: '$(this).enable()'.
	self
		assert: self formElement focus
		equals: '$(this).focus()'.
	self
		assert: self formElement present
		equals: '$(this).present()'.
	self
		assert: self formElement select
		equals: '$(this).select()'.
	self
		assert: (self formElement id: 'foo'; serialize)
		equals: '$("foo").serialize()'.
	self
		assert: (self formElement id: 'foo'; value)
		equals: '$("foo").getValue()'! !

!PTElementTest methodsFor: 'tests-observers' stamp: 'jf 7/19/2009 15:35'!
testFormElementObserver
	self 
		assert: self formElementObserver
		equals: 'new Form.Element.Observer(this,1,function(){})'.
	self 
		assert: (self formElementObserver 
			id: 'foo';
			frequency: 2;
			function: (JSFunction context: self renderContext) refresh)
		equals: 'new Form.Element.Observer("foo",2,function(element,value){window.location="http://www.seaside.st/?_s=1&_k=a"})'! !

!PTElementTest methodsFor: 'tests-form' stamp: 'lr 10/13/2008 22:02'!
testFormEnumerating
	self
		assertEnumerable: [ self form elements ]
		prefix: '$(this).getElements()'.
	self
		assertEnumerable: [ self form inputs ]
		prefix: '$(this).getInputs()'! !

!PTElementTest methodsFor: 'tests-observers' stamp: 'jf 7/19/2009 15:36'!
testFormObserver
	self 
		assert: self formObserver
		equals: 'new Form.Observer(this,1,function(){})'.
	self 
		assert: (self formObserver 
			id: 'foo';
			frequency: 2;
			function: (JSFunction context: self renderContext) refresh)
		equals: 'new Form.Observer("foo",2,function(element,value){window.location="http://www.seaside.st/?_s=1&_k=a"})'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testGeometric
	self
		assert: (self element absolutize)
		equals: '$(this).absolutize()'.
	self
		assert: (self element clonePosition: 'foo')
		equals: '$(this).clonePosition("foo")'.
	self
		assert: (self element cumulativeOffset)
		equals: '$(this).cumulativeOffset()'.
	self
		assert: (self element cumulativeScrollOffset)
		equals: '$(this).cumulativeScrollOffset()'.
	self
		assert: (self element dimensions)
		equals: '$(this).getDimensions()'.
	self
		assert: (self element height)
		equals: '$(this).getHeight()'.
	self
		assert: (self element makeClipping)
		equals: '$(this).makeClipping()'.
	self
		assert: (self element makePositioned)
		equals: '$(this).makePositioned()'.
	self
		assert: (self element offsetParent)
		equals: '$(this).getOffsetParent()'.
	self
		assert: (self element positionedOffset)
		equals: '$(this).positionedOffset()'.
	self
		assert: (self element relativize)
		equals: '$(this).relativize()'.
	self
		assert: (self element undoClipping)
		equals: '$(this).undoClipping()'.
	self
		assert: (self element undoPositioned)
		equals: '$(this).undoPositioned()'.
	self
		assert: (self element viewportOffset)
		equals: '$(this).viewportOffset()'.
	self
		assert: (self element width)
		equals: '$(this).getWidth()'! !

!PTElementTest methodsFor: 'tests-insertion' stamp: 'jf 7/19/2009 15:36'!
testInsertion
	| element |
	element := self insertion top.
	self assert: element equals: 'Insertion.Top'.

	element := self insertion bottom.
	self assert: element equals: 'Insertion.Bottom'.

	element := self insertion before.
	self assert: element equals: 'Insertion.Before'.

	element := self insertion after.
	self assert: element equals: 'Insertion.After'! !

!PTElementTest methodsFor: 'tests-insertion' stamp: 'lr 10/13/2008 22:27'!
testInsertionBasic
	| element |
	element := self insertion top; with: 'foo'.
	self assert: element equals: 'new Insertion.Top(this,"foo")'.

	element := self insertion bottom; id: 'bar'; with: 'foo'.
	self assert: element equals: 'new Insertion.Bottom("bar","foo")'.

	element := self insertion before; with: 'foo'.
	self assert: element equals: 'new Insertion.Before(this,"foo")'.

	element := self insertion after; id: 'bar'; with: 'foo'.
	self assert: element equals: 'new Insertion.After("bar","foo")'! !

!PTElementTest methodsFor: 'tests-insertion' stamp: 'lr 10/13/2008 22:27'!
testInsertionShort
	| element |
	element := self insertion top: 'foo'.
	self assert: element equals: 'new Insertion.Top(this,"foo")'.

	element := self insertion id: 'bar'; bottom: 'foo'.
	self assert: element equals: 'new Insertion.Bottom("bar","foo")'.

	element := self insertion before: 'foo'.
	self assert: element equals: 'new Insertion.Before(this,"foo")'.

	element := self insertion id: 'bar'; after: 'foo'.
	self assert: element equals: 'new Insertion.After("bar","foo")'! !

!PTElementTest methodsFor: 'tests-insertion' stamp: 'lr 10/13/2008 22:27'!
testInsertionWith
	self
		assert: (self insertion id: 'foo'; top: 'bar')
		equals: 'new Insertion.Top("foo","bar")'.
	self
		assert: (self insertion bottom: 'bar')
		equals: 'new Insertion.Bottom(this,"bar")'.
	self
		assert: (self insertion id: 'foo'; before: 'bar')
		equals: 'new Insertion.Before("foo","bar")'.
	self
		assert: (self insertion after: 'bar')
		equals: 'new Insertion.After(this,"bar")'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:23'!
testModifying
	self
		assert: (self element cleanWhitespace)
		equals: '$(this).cleanWhitespace()'.
	self
		assert: (self element id: 'foo'; remove)
		equals: '$("foo").remove()'.
	self
		assert: (self element wrap: 'p')
		equals: '$(this).wrap("p",{})'.
	self
		assert: (self element wrap: 'p' attributes: (Dictionary new at: 'id' put: 'foo'; yourself))
		equals: '$(this).wrap("p",{"id":"foo"})'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:23'!
testModifyingInsert
	self
		assert: (self element insert: 1)
		equals: '$(this).insert("1")'.
	self
		assert: (self element insertAfter: [ :r | r div ])
		equals: '$(this).insert({"after":"<div><\/div>"})'.
	self
		assert: (self element insertBefore: 'abc')
		equals: '$(this).insert({"before":"abc"})'.
	self
		assert: (self element insertTop: [ :r | r span: 5 ])
		equals: '$(this).insert({"top":"<span>5<\/span>"})'.
	self
		assert: (self element insertBottom: '5')
		equals: '$(this).insert({"bottom":"5"})'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 7/25/2011 18:36'!
testModifyingReplace
	self
		assert: (self element replace: 'foo')
		equals: '$(this).replace("foo")'.
	self
		assert: (self element replace: [ :r | r div id: 'foo' ])
		equals: '$(this).replace("<div id=\"foo\"><\/div>")'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 3/4/2010 22:43'!
testModifyingUpdate
	self
		assert: (self element id: 'foo'; update: 'bar')
		equals: '$("foo").update("bar")'.
	self
		assert: (self element update: [ :r | r div: 'bar' ])
		equals: '$(this).update("<div>bar<\/div>")'.! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:23'!
testModifyingWrap
	self
		assert: (self element wrap: 'p')
		equals: '$(this).wrap("p",{})'.
	self
		assert: (self element wrap: 'p' attributes: (Dictionary new at: 'id' put: 'foo'; yourself))
		equals: '$(this).wrap("p",{"id":"foo"})'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testNavigationDown
	self
		assert: (self element down)
		equals: '$(this).down()'.
	self
		assert: (self element down: 'div')
		equals: '$(this).down("div")'.
	self
		assert: (self element down: 'div' at: 2)
		equals: '$(this).down("div",2)'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testNavigationNext
	self
		assert: (self element next)
		equals: '$(this).next()'.
	self
		assert: (self element next: 'div')
		equals: '$(this).next("div")'.
	self
		assert: (self element next: 'div' at: 2)
		equals: '$(this).next("div",2)'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testNavigationPrevious
	self
		assert: (self element previous)
		equals: '$(this).previous()'.
	self
		assert: (self element previous: 'div')
		equals: '$(this).previous("div")'.
	self
		assert: (self element previous: 'div' at: 2)
		equals: '$(this).previous("div",2)'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testNavigationUp
	self
		assert: (self element up)
		equals: '$(this).up()'.
	self
		assert: (self element up: 'div')
		equals: '$(this).up("div")'.
	self
		assert: (self element up: 'div' at: 2)
		equals: '$(this).up("div",2)'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testQuerying
	self
		assert: (self element descendantOf: 'foo')
		equals: '$(this).descendantOf("foo")'.
	self
		assert: (self element empty)
		equals: '$(this).empty()'.
	self
		assert: (self element firstDescendant)
		equals: '$(this).firstDescendant()'.
	self
		assert: (self element identify)
		equals: '$(this).identify()'.
	self
		assert: (self element match: 'first-child')
		equals: '$(this).match("first-child")'! !

!PTElementTest methodsFor: 'tests-rendering' stamp: 'lr 3/4/2010 22:42'!
testRenderedHtml
	self 
		assert: [ :html | html div script: (html element update: [ :r | r span ]) ]
		renders: '<div id="id1"></div><script type="text/javascript">/*<!![CDATA[*/$("id1").update("<span><\/span>");/*]]>*/</script>'! !

!PTElementTest methodsFor: 'tests-rendering' stamp: 'lr 3/4/2010 22:42'!
testRenderedHtmlWithScripts
	self
		assert: [ :html |
			html div script: (html element remove).
			html div script: (html element update: [ :r | r span ]) ]
		renders: '<div id="id1"></div><div id="id2"></div><script type="text/javascript">/*<!![CDATA[*/$("id1").remove();$("id2").update("<span><\/span>");/*]]>*/</script>'! !

!PTElementTest methodsFor: 'tests' stamp: 'jf 7/19/2009 17:32'!
testSelector
	| selector |
	selector := self ptSelector add: '*'.
	self assert: selector equals: '$$("*")'.

	selector := self ptSelector add: 'div.zork'; add: 'p#zork'.
	self assert: selector equals: '$$("div.zork","p#zork")'.

	self
		assertEnumerable: [ self ptSelector add: 'p>a' ]
		prefix: '$$("p>a")'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 10/13/2008 22:05'!
testStylingClasses
	self
		assert: (self element id: 'foo'; addClassName: 'bar')
		equals: '$("foo").addClassName("bar")'.
	self
		assert: (self element id: 'foo'; hasClassName: 'bar')
		equals: '$("foo").hasClassName("bar")'.
	self
		assert: (self element removeClassName: 'bar')
		equals: '$(this).removeClassName("bar")'.
	self
		assert: (self element id: 'foo'; toggleClassName: 'bar')
		equals: '$("foo").toggleClassName("bar")'! !

!PTElementTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:23'!
testStylingStyles
	self
		assert: (self element id: 'foo'; styleAt: 'width')
		equals: '$("foo").getStyle("width")'.
	self
		assert: (self element styleAt: 'height')
		equals: '$(this).getStyle("height")'.
	self
		assert: (self element id: 'foo'; styleAt: 'width' put: '100px')
		equals: '$("foo").setStyle({"width":"100px"})'.
	self
		assert: (self element styleAt: 'background-color' put: Color white)
		equals: '$(this).setStyle({"background-color":"#FFFFFF"})'! !

!GRPackage class methodsFor: '*prototype-tests-core' stamp: 'lr 2/17/2010 15:11'!
prototypeTestsCore
	^ self new
		name: 'Prototype-Tests-Core';
		description: 'Functional and unit tests for the Prototype-Core package.';
		addDependency: 'Prototype-Core';
		addDependency: 'Javascript-Tests-Core';
		addDependency: 'Seaside-Tests-Functional';
		url: #seasideUrl;
		yourself! !
